Package com.opensymphony.module.sitemesh.multipass

# Class ExtractPropertyTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
javax.servlet.jsp.tagext.BodyTagSupport
com.opensymphony.module.sitemesh.taglib.AbstractTag
com.opensymphony.module.sitemesh.taglib.decorator.PropertyTag
com.opensymphony.module.sitemesh.multipass.ExtractPropertyTag

All Implemented Interfaces:
  `RequestConstants`, `Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

public class ExtractPropertyTag extends PropertyTag

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.opensymphony.module.sitemesh.taglib.AbstractTag

`pageContext, parent`

### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id`

### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface com.opensymphony.module.sitemesh.RequestConstants

`DECORATOR, PAGE, ROBOT`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`ExtractPropertyTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doEndTag()`
To be implemented by all empty tags.

### Methods inherited from class com.opensymphony.module.sitemesh.taglib.decorator.PropertyTag

`getProperty, setDefault, setProperty, setWriteEntireProperty`

### Methods inherited from class com.opensymphony.module.sitemesh.taglib.AbstractTag

`doStartTag, getOut, getPage, getParent, release, setPageContext, setParent, trace`

### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getValue, getValues, removeValue, setId, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtractPropertyTag

public ExtractPropertyTag()

## Method Details

### doEndTag

public int doEndTag()
Description copied from class: `AbstractTag`
To be implemented by all empty tags.

Specified by:
  `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `PropertyTag`